Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.createUser
Interface CreateUserControl

All Superinterfaces:
  com.bea.control.Control, weblogic.jws.control.Control, Serializable

public interface CreateUserControl
extends weblogic.jws.control.Control

This control:

- is used by the portal GUI components to create a user
- gives some indication as to whether the creation is successful by returning an instance of a ProfileWrapper if successful and throwing an exception if not
- is able to determine whether this user already exists

Control properties:

- doPostProcess If true, then executes the post-user-creation process after successfull user creation, which consists of authenticating the user, updating the profile in the session, firing a SessionLoginEvent, and firing a UserRegistrationEvent. Defaults to true
- saveAnonymous If true, then any properties the user may have set during this Session before registering are added to the new user's properties during the post-user-creation process. Defaults to true.
- fireEvent If true, then fire a UserRegistrationEvent during the post-user-creation process. Defaults to true.
- login If true, then performs a login of the user during the post-user-creation process. Defaults to true.

Method Summary
`ProfileWrapper` | `createUser(String username, String password, HttpServletRequest request)` Create a new user and return an object representing the user's information.

Method Detail

### createUser

    public ProfileWrapper createUser(String username,
                                     String password,
                                     HttpServletRequest request)
                              throws P13nControlException

  Create a new user and return an object representing the user's information.

  Parameters:
    `username` - The user's login name
    `password` - The user's password
  Returns:
    a ProfileWrapper representing the user's stored information
  Throws:
    `P13nControlException` - if username or password is invalid, user already exists, or a remote exception occurs accessing the UserManager EJB.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved